## marionnet 0.90.6+bzr508

=== Makefile ===
# This -*- makefile -*- is part of our build system for OCaml projects
# Copyright (C) 2008, 2009  Luca Saiu
# Copyright (C) 2008, 2010, 2016  Jean-Vincent Loddo
# Copyright (C) 2008, 2009, 2010, 2016  Université Paris 13
# Updated in 2008 by Jonathan Roudiere
# Thanks to JulioJu (https://github.com/JulioJu) for the patch
# about prefix_install

# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

# This is the revision of 2016-06-07.

######################################################################
# This make file is general-purpose: the actual project-dependant part
# should be written for each specific project in a 'Makefile.local'
# file.
#
# This contains some (simple) makefile magic which is only supported
# by GNU Make. Don't even try to use other make implementations.
######################################################################


######################################################################
# Implementation of targets. Note that the user is *not* supposed to
# override these, but only to define the project-dependant '-local'
# versions:

# Makefiles (this one as those in other parts) use extensively the bash shell
SHELL=/bin/bash

OCAMLBUILD = $$( $(call OCAMLBUILD_COMMAND_LINE) )
LIBRARYPREFIX=$(shell $(call READ_CONFIG, libraryprefix); echo $$libraryprefix)
OCAML_VERSION=$(shell $(call READ_CONFIG, ocaml_version); echo $$ocaml_version)
OCAML_LIBRARYPREFIX=$(shell $(call READ_CONFIG, ocaml_libraryprefix); echo $$ocaml_libraryprefix)

# The main target. Its implementation is entirely project-dependant:
main: ocamlbuild-stuff manually_pre_actions main-local data libraries programs manually_post_actions
	@(echo "Success.")

# Build C modules (no one, by default):
c-modules:
	@(mkdir _build &> /dev/null || true) && \
	for x in $(C_OBJECTS_TO_LINK); do \
	  make _build/$$x.o; \
	done

BUILD_FROM_STUFF = \
	@( echo "Building $(1)..."; \
	shopt -s execfail; set -e; \
	for x in $(2); do \
	  echo "Building \"$$x\"..."; \
	  if $(MAKE) $$x; then \
	    echo "Ok, \"$$x\" was built with success."; \
	  else \
	    echo "FAILED when building \"$$x\"."; \
	    exit -1; \
	  fi; \
	done; \
	echo "Success: $(1) were built.")

# Build only data:
data: ocamlbuild-stuff data-local $(DATA)
	$(call BUILD_FROM_STUFF, data, $(DATA))

# Build only native libraries:
native-libraries: ocamlbuild-stuff c-modules native-libraries-local $(NATIVE_LIBRARIES)
	$(call BUILD_FROM_STUFF, native-libraries, $(NATIVE_LIBRARIES))

# Build only bytecode libraries:
byte-libraries: ocamlbuild-stuff c-modules byte-libraries-local $(BYTE_LIBRARIES)
	$(call BUILD_FROM_STUFF, byte-libraries, $(BYTE_LIBRARIES))

# Build libraries; bytecode, native, or both:
libraries: c-modules libraries-local
	@($(call BUILD_NATIVE_ANDOR_BYTECODE,libraries) ) # Spaces are ok

# Build programs; bytecode, native, or both:
programs: c-modules programs-local
	@($(call BUILD_NATIVE_ANDOR_BYTECODE,programs) ) # Spaces are ok

# Build the native and/or bytecode version of $(1). $(1) may be either
# "libraries" or "programs". *Don't* put a space before the argument.
BUILD_NATIVE_ANDOR_BYTECODE = \
	(if [ "$$( $(call NATIVE) )" == 'native' ]; then \
	  echo "Building native $(1)..."; \
	  if $(MAKE) native-$(1); then \
	    echo "Success: native $(1) were built."; \
	  else \
	    echo "FAILURE: could not build native $(1)."; \
	    exit -1; \
	  fi; \
	else \
	  echo "NOT building native $(1)..."; \
	fi; \
	if [ "$$( $(call BYTE) )" == 'byte' ]; then \
	  echo "Builing bytecode $(1)..."; \
	  if $(MAKE) byte-$(1); then \
	    echo "Success: bytecode $(1) were built."; \
	  else \
	    echo "FAILURE: could not build bytecode $(1)."; \
	    exit -1; \
	  fi; \
	else \
	  echo "NOT building bytecode $(1)..."; \
	fi)

# Build only native programs:
native-programs: ocamlbuild-stuff native-programs-local $(NATIVE_PROGRAMS) $(ROOT_NATIVE_PROGRAMS)
	$(call BUILD_FROM_STUFF, native-programs, $(NATIVE_PROGRAMS) $(ROOT_NATIVE_PROGRAMS))

# Build only bytecode programs:
byte-programs: ocamlbuild-stuff byte-programs-local $(BYTE_PROGRAMS) $(ROOT_BYTE_PROGRAMS)
	$(call BUILD_FROM_STUFF, byte-programs, $(BYTE_PROGRAMS) $(ROOT_BYTE_PROGRAMS))

# 'all' is just an alias for 'main':
all: main

# In some projects we may need to build something more than 'main',
# but we do nothing more by default:
world: world-local main
	@(echo 'Success.')


############################################################################
# Support for manually generated files (i.e. not generated with ocamlbuild)
############################################################################

# Example: (in your Makefile.local)
#
# foo.byte   : manually_pre_actions
# foo.native : manually_pre_actions
#
# MANUALLY_PRE_COPY_IN_build = include_as_string_p4.ml USAGE.txt
# MANUALLY_PRE_MAKE_IN_build = include_as_string_p4.cmo
#
# _build/include_as_string_p4.cmo: include_as_string_p4.ml
#	ocamlc -c -I +camlp4 camlp4lib.cma -pp camlp4of -o $@ $<

.PHONY : manually_pre_actions manually_post_actions

################################# PRE-ACTIONS support

# Files that must be copied in _build/ *before* the ocamlbuild processing.
MANUALLY_PRE_COPY_IN_build =

# Targets that must be created in _build/ *before* the ocamlbuild processing.
# For each foo.bar that appears in this list, you have to write a rule
# _build/foo.bar in your Makefile.local
MANUALLY_PRE_MAKE_IN_build =

manually_pre_actions:
	$(call PERFORM_MANUALLY_PRE_ACTIONS, $(MANUALLY_PRE_COPY_IN_build),$(MANUALLY_PRE_MAKE_IN_build))

# Detect if "make clean" is required or copy and build manually targets
# specified in MANUALLY_PRE_COPY_IN_build and MANUALLY_PRE_MAKE_IN_build
PERFORM_MANUALLY_PRE_ACTIONS = \
	@(\
	if test -d _build/; \
	then \
	  echo "Checking if files manually copied in _build/ have been modified..."; \
	  for x in $(1); do \
	    echo "Checking \"$$x\"..."; \
	    test ! -f _build/$$x || \
	       diff -q $$x _build/$$x 2>/dev/null || \
	       { echo -e "********************\nmake clean required!\n********************"; exit 1; } ;\
	  done; \
	else \
	  mkdir _build/; \
	fi; \
	for x in $(1); do echo "Manually pre-copying \"$$x\"...";  cp --parent -f $$x _build/; done; \
	for y in $(2); do echo "Manually pre-building \"$$y\"..."; make _build/$$y || exit 1; done; \
	)

################################# POST-ACTIONS support

# Files that must be copied in _build/ *after* the ocamlbuild processing.
MANUALLY_POST_COPY_IN_build =

# Targets that must be created in _build/ *after* the ocamlbuild processing.
# For each foo.bar that appears in this list, you have to write a rule
# _build/foo.bar in your Makefile.local
MANUALLY_POST_MAKE_IN_build =

manually_post_actions:
	$(call PERFORM_MANUALLY_POST_ACTIONS, $(MANUALLY_POST_COPY_IN_build), $(MANUALLY_POST_MAKE_IN_build))

PERFORM_MANUALLY_POST_ACTIONS = \
	@(\
	for x in $(1); do echo "Manually post-copying \"$$x\"...";  cp --parent -f $$x _build/; done; \
	for y in $(2); do echo "Manually post-building \"$$y\"..."; make _build/$$y || exit 1; done; \
	)



############################################################################
# Other entries


# Edit all ml/mli files and Makefile.local with your $EDITOR
edit:
	test -n "$$EDITOR" && eval $$EDITOR Makefile.local $$(find . \( -name "_build*" -o -name "meta.ml" -o -name "$(EXCLUDE_FROM_EDITING)" -o -name "version.ml" -o -name "gui.ml" -o -name myocamlbuild.ml \) -prune -o -type f -a \( -name "*.ml" -o -name "*.mli" \) -print) &
# Create the documentation
documentation: world documentation-local
	chmod +x Makefile.d/doc.sh
	Makefile.d/doc.sh -pp "$(PP_OPTION)" -e "$(UNDOCUMENTED)" -i $(DIRECTORIES_TO_INCLUDE)

doc: documentation

INDEX_HTML=_build/doc/html/index.html
browse:
	test -f  $(INDEX_HTML) || make documentation
	test -n "$$BROWSER" && $$BROWSER $(INDEX_HTML)

# Install programs and libraries:
install: install-programs install-libraries install-data install-configuration install-documentation install-local
	@(echo 'Success.')

# The user is free to override this to add custom targets to install into the
# $prefix_install/share/$name installation directory:
OTHER_DATA_TO_INSTALL =

# The user is free to override this to add custom targets to install into the
# $documentationprefix/$name installation directory:
OTHER_DOCUMENTATION_TO_INSTALL =

# Install the documentation from this package (_build/doc) into $prefix_install/share/$name:
install-documentation: META CONFIGME install-documentation-local
	@($(call READ_CONFIG, documentationprefix); \
	$(call READ_META, name); \
	directory=$$documentationprefix/$$name; \
	shopt -s nullglob; \
	if [ -e _build/doc ]; then \
	  documentationifany=`ls -d _build/doc/*`; \
	else \
	  documentationifany=''; \
	fi; \
	if [ "$$documentationifany" == "" ]; then \
	  echo "No documentation to install: ok, no problem..."; \
	else \
	  echo "Installing $$name documentation into $$directory ..."; \
	  echo "Creating $$directory ..."; \
	  if mkdir -p $$directory; then \
	    echo "The directory $$directory was created with success."; \
	  else \
	    echo "Could not create $$directory"; \
	    exit -1; \
	  fi; \
	  echo "Copying $$name documentation to $$directory ..."; \
	  for x in COPYING README $$documentationifany $(OTHER_DOCUMENTATION_TO_INSTALL); do \
	    if cp -af $$x $$directory; then \
	      echo "Installed $$x into $$directory/"; \
	    else \
	      echo "Could not write $$directory/$$x."; \
	      exit -1; \
	    fi; \
	  done; \
	  echo "Documentation installation for $$name was successful."; \
	fi)

# Just a handy alias:
install-doc: install-documentation

# Install the data from this package into $prefix_install/share/$name:
install-data: META CONFIGME main install-data-local
	@($(call READ_CONFIG, prefix_install); \
	$(call READ_META, name); \
	directory=$$prefix_install/share/$$name; \
	shopt -s nullglob; \
	if [ -e share ]; then \
	  dataifany=`ls -d share/*`; \
	else \
	  dataifany=''; \
	fi; \
	if [ "$$dataifany" == "" ]; then \
	  echo "No data to install: ok, no problem..."; \
	else \
	  echo "Installing $$name data into $$directory ..."; \
	  echo "Creating $$directory ..."; \
	  if mkdir -p $$directory; then \
	    echo "The directory $$directory was created with success."; \
	  else \
	    echo "Could not create $$directory"; \
	    exit -1; \
	  fi; \
	  echo "Copying $$name data to $$directory ..."; \
	  for x in COPYING README $$dataifany $(OTHER_DATA_TO_INSTALL); do \
	    if cp -af $$x $$directory; then \
	      echo "Installed $$x into $$directory/"; \
	    else \
	      echo "Could not write $$directory/$$x."; \
	      exit -1; \
	    fi; \
	  done; \
	  echo "Data installation for $$name was successful."; \
	fi)

# Install the software configuration files, if any:
install-configuration: META CONFIGME install-configuration-local
	@($(call READ_CONFIG, configurationprefix); \
	$(call READ_META, name); \
	if [ -e etc ]; then \
	  echo "Installing configuration files into $$configurationprefix/$$name..."; \
	  mkdir -p $$configurationprefix/$$name; \
	  shopt -s nullglob; \
	  for file in etc/*; do \
	    basename=`basename $$file`; \
	    echo "Installing $$basename into $$configurationprefix/$$name..."; \
	    if ! cp $$file $$configurationprefix/$$name/; then \
	      echo "ERROR: Could not install $$basename into $$configurationprefix/$$name"; \
	      exit -1; \
	    fi; \
	  done; \
	else \

=== uml/pupisto.buildroot/Makefile ===
# This file is part of marionnet
# Copyright (C) 2013, 2014  Jean-Vincent Loddo
# Copyright (C) 2013, 2014  Université Paris 13
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

# File system creation based on Builroot (itself based on Busybox) and
# kernel patch (ghostification) and compilation

# This script builds from scratch a filesystem with the buildroot utilities.
# Be careful because sometimes buildroot needs some extras packages according
# to the choosen configuration.


# =============================================================
#                     Building `guignol'
# =============================================================

KERNEL_VERSION=3.2.64

guignol: dependencies buildroot
	./pupisto.buildroot.sh --kernel $(KERNEL_VERSION) --router --name guignol $(OPTIONS)

guignol-no-kernel: dependencies buildroot
	./pupisto.buildroot.sh --kernel $(KERNEL_VERSION) --router --no-kernel --name guignol $(OPTIONS)

guignol-custom: dependencies buildroot
	./pupisto.buildroot.sh --kernel $(KERNEL_VERSION) --router --name guignol --custom $(OPTIONS)

guignol-debug: dependencies buildroot
	./pupisto.buildroot.sh --debug --kernel $(KERNEL_VERSION) --router --name guignol $(OPTIONS)

# Make a minimal filesystem, just with Busybox and Bash (useful for testing), without quagga (no --router) and without kernel:
minimal:
	@{ test -f $(CUSTOM_PACKAGES_NO)  && cp -v $(CUSTOM_PACKAGES_NO)  $(CUSTOM_PACKAGES_NO).backup  --backup="numbered"; } || true
	@{ test -f $(CUSTOM_PACKAGES_YES) && cp -v $(CUSTOM_PACKAGES_YES) $(CUSTOM_PACKAGES_YES).backup --backup="numbered"; } || true
	@cat /dev/null > $(CUSTOM_PACKAGES_YES)
	@find ./_build.buildroot/package -name "Config.in" -exec \grep -o "BR2_PACKAGE_[A-Z0-9_]*" {} \; | uniq | sort | uniq > $(CUSTOM_PACKAGES_NO)
	./pupisto.buildroot.sh --kernel $(KERNEL_VERSION) --no-kernel --name minimal $(OPTIONS)


# =============================================================
#                     Dependencies
# =============================================================

buildroot: ./_build.buildroot

./_build.buildroot:
	git clone git://git.buildroot.net/buildroot
	mv buildroot ./_build.buildroot

REQUIRED_PACKAGES=whois texinfo git mercurial gcc-multilib unifdef ccache wget fakeroot patch
dependencies:
	@echo "Required packages: $(REQUIRED_PACKAGES)"
	@which dpkg 1>/dev/null || { echo "Not a Debian system (oh my god!); please install packages corresponding to: $(REQUIRED_PACKAGES)"; exit 1; }
	@dpkg 1>/dev/null -l $(REQUIRED_PACKAGES) || \
		if which aptitude; then \
		  sudo aptitude install -q -q -q -y $(REQUIRED_PACKAGES); \
		elif which apt-get; then \
		  sudo apt-get  install -q -q -q -y $(REQUIRED_PACKAGES); \
		else \
		  exit 1; \
		fi
	@echo Ok.


# =============================================================
#     Managing and quickly customizing Buildroot's packages
# =============================================================

# List all available Buildroot's packages
list-available: buildroot
	@find ./_build.buildroot/package -name Config.in -exec \grep -o "BR2_PACKAGE_[A-Z0-9_]*" {} \; \
	  | uniq | sort | uniq

# List Buildroot's packages cited by our building script:
LIST_CITED="\grep -o "BR2_PACKAGE_[A-Z0-9_][A-Z0-9_]*" ./pupisto.buildroot.sh | sort | uniq"
list-cited: buildroot
	@eval $(LIST_CITED)

TMPFILE1=/tmp/Makefile.pupisto.buildroot.1
TMPFILE2=/tmp/Makefile.pupisto.buildroot.2
TMPFILE3=/tmp/Makefile.pupisto.buildroot.3
TMPFILE4=/tmp/Makefile.pupisto.buildroot.4
TMPFILES=$(TMPFILE1) $(TMPFILE2) $(TMPFILE3) $(TMPFILE4)
CUSTOM_PACKAGES_NO=./_build.custom_packages_no
CUSTOM_PACKAGES_YES=./_build.custom_packages_yes

# List Buildroot's packages selected by our building script, plus packages manually
# selected with $(CUSTOM_PACKAGES_YES), minus package manually selected with $(CUSTOM_PACKAGES_NO).
# Note that if a package is customized both as "yes" and "no", the "yes" is prioritary.
# In other words, the list of selected packages is built using the formula:
# (cited DIFF no) UNION yes
list-selected: buildroot
	@eval $(LIST_CITED) | \grep -v "^BR2_PACKAGE_QUAGGA" > $(TMPFILE1)
	@cat /dev/null > $(TMPFILE2);
	@if test -f $(CUSTOM_PACKAGES_NO); then \grep -v "^#" $(CUSTOM_PACKAGES_NO)  | sort | uniq > $(TMPFILE2); fi
	@\grep <$(TMPFILE1) -v -w -F "$$(cat $(TMPFILE2))" > $(TMPFILE3)
	@cat /dev/null > $(TMPFILE4);
	@if test -f $(CUSTOM_PACKAGES_YES); then \grep -v "^#" $(CUSTOM_PACKAGES_YES) | sort | uniq > $(TMPFILE4); fi
	@cat $(TMPFILE3) $(TMPFILE4) | sort | uniq
	@rm -f $(TMPFILES)

# Quickly customize which packages you don't want in the filesystem:
customize-packages-no:  ./_build.custom_packages_no
	$$EDITOR $<

# Quickly customize which packages you want in the filesystem:
customize-packages-yes: ./_build.custom_packages_yes
	$$EDITOR $<

./_build.custom_packages_no: buildroot
	@test -f $@ || { make ./_build.custom_packages.initial && mv ./_build.custom_packages.initial $@; }

./_build.custom_packages_yes: buildroot
	@test -f $@ || { make ./_build.custom_packages.initial && mv ./_build.custom_packages.initial $@; }

./_build.custom_packages.initial:
	@find ./_build.buildroot/package -name Config.in -exec \grep -o "BR2_PACKAGE_[A-Z0-9_]*" {} \; | uniq | sort | uniq | awk '{print "#"$$0}' >$@


# =============================================================
#                      clean & help
# =============================================================

clean:
	rm -rf _build.*

help:
	@echo "Usage: make guignol"
	@echo "   or: make guignol-custom"
	@echo "   or: make minimal"
	@echo "   or: make customize-packages-yes"
	@echo "   or: make customize-packages-no"
	@echo "   or: make dependencies"
	@echo "   or: make clean"
	@echo "   or: make help-pupisto"
	@echo "   or: make help"
	@echo "Examples:"
	@echo "[1]  make guignol"
	@echo "[2]  make guignol-custom"
	@echo "[3]  make customize-packages-no customize-packages-yes guignol"
	@echo "[4]  make customize-packages-no customize-packages-yes guignol-custom"
	@echo "[5]  make help-pupisto"
	@echo "---"
	@echo "The example [2] gives you access to the Buildroot's menu configuration."
	@echo "The example [3] allows you to quickly customize the package selection removing comments from files \`_build.custom_packages_{yes,no}'."
	@echo "The example [4] provides you both customization methods."
	@echo "The example [5] is simply equivalent to \`pupisto.buildroot.sh --help'; you can launch directly this script if you want to create the Buildroot's filesystem with special options (name, config)."


help-pupisto:
	./pupisto.buildroot.sh --help

=== uml/pupisto.debian/Makefile ===
# This file is part of marionnet
# Copyright (C) 2013, 2014  Jean-Vincent Loddo
# Copyright (C) 2013, 2014  Université Paris 13
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.


# =============================================================
#                     Building `wheezy'
# =============================================================

KERNEL_VERSION=3.2.60

wheezy: dependencies
	./pupisto.debian.sh --kernel $(KERNEL_VERSION) -t ext2 -r wheezy

wheezy-no-kernel: dependencies
	./pupisto.debian.sh --kernel $(KERNEL_VERSION) -t ext2 --no-kernel -r wheezy

wheezy-custom: dependencies
	@echo "./pupisto.debian.sh --kernel $(KERNEL_VERSION) -t ext2 -r wheezy --custom"
	@echo "NOT IMPLEMENTED YET"

wheezy-edit:
	$(EDITOR) pupisto.debian.sh.files/package_catalog/package_catalog.wheezy.selection

squeeze: dependencies
	@echo "./pupisto.debian.sh --kernel $(KERNEL_VERSION) -t btrfs -r squeeze"
	@echo "NOT IMPLEMENTED YET"

squeeze-no-kernel: dependencies
	@echo "./pupisto.debian.sh --kernel $(KERNEL_VERSION) -t btrfs --no-kernel -r squeeze"
	@echo "NOT IMPLEMENTED YET"

squeeze-edit:
	@echo $(EDITOR) pupisto.debian.sh.files/package_catalog/package_catalog.wheezy.selection
	@echo "NOT IMPLEMENTED YET"

# =============================================================
#                     Dependencies
# =============================================================

# REQUIRED_PACKAGES=debootstrap fakeroot fakechroot
REQUIRED_PACKAGES=debootstrap realpath
dependencies:
	@echo "Required packages: $(REQUIRED_PACKAGES)"
	@which dpkg 1>/dev/null || { echo "Not a Debian system (oh my god!); please install packages corresponding to: $(REQUIRED_PACKAGES)"; exit 1; }
	@dpkg 1>/dev/null -l $(REQUIRED_PACKAGES) || \
		if which aptitude; then \
		  sudo aptitude install -q -q -q -y $(REQUIRED_PACKAGES); \
		elif which apt-get; then \
		  sudo apt-get  install -q -q -q -y $(REQUIRED_PACKAGES); \
		else \
		  exit 1; \
		fi
	@echo Ok.


# =============================================================
#                      clean & help
# =============================================================

clean:
	sudo rm -rf _build.*

help:
	@echo "Usage: make wheezy"
	@echo "   or: make wheezy-custom    # NOT IMPLEMENTED YET"
	@echo "   or: make squeeze          # NOT IMPLEMENTED YET"
	@echo "   or: make squeeze-custom   # NOT IMPLEMENTED YET"
	@echo "   or: make dependencies"
	@echo "   or: make clean"
	@echo "   or: make help-pupisto"
	@echo "   or: make help"

help-pupisto:
	./pupisto.debian.sh --help

edit:
	$(EDITOR) *.sh pupisto.debian.sh.files/package_catalog/package_catalog.*.selection ../pupisto.common/*.sh

=== debian/changelog ===
marionnet (0.90.6+bzr508-1) unstable; urgency=medium

  * New upstream version 0.90.6+bzr508
  * Add stricter dep on ocamlbricks.
  * Add symlink to port-helper in $PATH.
  * Add xterm to Depends. Closes: #866606
  * Mention Multiarch in README.Debian. Closes: #866607
  * Add patch from ceridwen.debian.bugs@gmail.com to support building reproducibly. Closes: #818952
  * Remove obsolete b-dep on dh-systemd
  * Bump debian/compat to 9
  * Bump Standards-version to 4.1.1. No changes needed.
  * Remove duplicate license in debian/copyright
  * Run wrap-and-sort -a

 -- Lucas Nussbaum <lucas@debian.org>  Mon, 30 Oct 2017 23:22:35 +0100

=== debian/control ===
Source: marionnet
Section: net
Priority: extra
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Lucas Nussbaum <lucas@debian.org>
Build-Depends: camlp4-extra,
               debhelper (>= 9.20160709),
               dh-ocaml (>= 0.9.1),
               liblablgtk2-ocaml-dev (>= 2.12.0-2),
               liblablgtksourceview2-ocaml-dev (>= 2.14.2),
               libocamlbricks-ocaml-dev (>= 0.90+bzr454~),
               ocaml-findlib,
               ocaml-nox (>= 3.12.1),
               ocamlbuild
Standards-Version: 4.1.1
Homepage: http://www.marionnet.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/marionnet.git
Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/marionnet.git

Package: marionnet
Architecture: amd64 i386
Depends: graphviz,
         liblablgtk2-ocaml-dev (>= 2.12.0-2),
         liblablgtksourceview2-ocaml-dev (>= 2.14.2),
         libocamlbricks-ocaml-dev (>= 0.90+bzr454~),
         lsb-base (>= 3.2-14),
         uml-utilities,
         vde2,
         xterm,
         ${misc:Depends},
         ${ocaml:Depends},
         ${shlibs:Depends}
Description: Virtual network laboratory
 Marionnet is a virtual network laboratory: it allows users to define,
 configure and run complex computer networks without any need for physical
 setup. Only a single, possibly even non-networked GNU/Linux host machine
 is required to simulate a whole Ethernet network complete with computers,
 routers, hubs, switches, cables, and more. Support is also provided for
 integrating the virtual network with the physical host network.
 .
 As Marionnet is meant to be used also by inexperienced people, it features
 a very intuitive graphical user interface. Marionnet depends on User Mode
 Linux and VDE Virtual Distributed Ethernet for the simulation part.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

%:
	dh $@ --with ocaml --with systemd

override_dh_auto_build:
	cp -f po/messages.pot po/messages.pot.orig
	dh_auto_build

override_dh_auto_install:
	dh_auto_install
	rm debian/marionnet/usr/share/marionnet/COPYING # remove duplicate copyright file
	rm debian/marionnet/usr/share/marionnet/images/Artistic
	rm debian/marionnet/usr/share/marionnet/images/lgpl-3.0.txt
	if [ -e debian/marionnet/usr/sbin/marionnet-daemon.native ]; then \
		mv debian/marionnet/usr/sbin/marionnet-daemon.native debian/marionnet/usr/sbin/marionnet-daemon ; \
		mv debian/marionnet/usr/bin/marionnet.native debian/marionnet/usr/bin/marionnet ; \
	        rm debian/marionnet/usr/sbin/marionnet-daemon.byte ; \
	        rm debian/marionnet/usr/bin/marionnet.byte ; \
	else \
		mv debian/marionnet/usr/sbin/marionnet-daemon.byte debian/marionnet/usr/sbin/marionnet-daemon ;\
		mv debian/marionnet/usr/bin/marionnet.byte debian/marionnet/usr/bin/marionnet ; \
	fi
	# Add symlink in $PATH for port-helper. That's needed because the marionnet kernel
	# call it directly
	if [ "$(DEB_HOST_ARCH)" = "amd64" ]; then \
		dh_link usr/lib64/uml/port-helper usr/bin/port-helper ; \
	else \
		dh_link usr/lib/uml/port-helper usr/bin/port-helper ; \
	fi


override_dh_auto_clean:
	dh_auto_clean
	if [ -f po/messages.pot.orig ]; then mv po/messages.pot.orig po/messages.pot; fi

# see https://launchpad.net/marionnet/trunk
PACKAGE = marionnet
SRC_VERSION := $(shell dpkg-parsechangelog | sed -ne 's/^Version: \(\([0-9]\+\):\)\?\(.*\)-.*/\3/p')
BZR_REVISION := $(shell echo $(SRC_VERSION) | awk -F"+" '{ print $$2 }' | sed 's/bzr//' )
TARBALL = $(PACKAGE)_$(SRC_VERSION).orig.tar.gz
get-orig-source:
	rm -rf get-orig-source $(TARBALL)
	mkdir get-orig-source
	bzr branch -r $(BZR_REVISION) lp:$(PACKAGE)/trunk get-orig-source/$(PACKAGE)-$(SRC_VERSION).orig
	make -C get-orig-source/$(PACKAGE)-$(SRC_VERSION).orig meta.ml.released
	rm get-orig-source/$(PACKAGE)-$(SRC_VERSION).orig/meta.ml
	rm -rf get-orig-source/$(PACKAGE)-$(SRC_VERSION).orig/.bzr
	GZIP=--best tar czf $(TARBALL) -C get-orig-source $(PACKAGE)-$(SRC_VERSION).orig
	rm -rf get-orig-source
	echo "  "$(TARBALL)" created; move it to the right destination to build the package"

.PHONY: get-orig-source
